void panel_resize_cb(GtkWidget *w, gint size,
		     GoatsApplet *goats);
gint applet_key_press_cb(GtkWidget *widget, GdkEventKey *event,
			 GoatsApplet *goats);
gint applet_pressed_cb(GtkWidget *w, GdkEventButton *event,
		       GoatsApplet *goats);
gint applet_prelight_cb(GtkWidget *w, GdkEvent *event,
		       GoatsApplet *goats);
gint applet_prelight_off_cb(GtkWidget *w, GdkEvent *event,
			    GoatsApplet *goats);
void show_summary_cb(BonoboUIComponent *uic, gpointer goats, const gchar *verbname);
void delete_all_cb(BonoboUIComponent *uic, gpointer goats, const gchar *verbname);
void raise_all_cb(BonoboUIComponent *uic, gpointer goats, const gchar *verbname);
void lower_all_cb(BonoboUIComponent *uic, gpointer goats, const gchar *verbname);
void hide_all_cb(BonoboUIComponent *uic, gpointer goats, const gchar *verbname);
void show_all_cb(BonoboUIComponent *uic, gpointer goats, const gchar *verbname);
void show_all_cb(BonoboUIComponent *uic, gpointer goats, const gchar *verbname);
void shade_all_cb(BonoboUIComponent *uic, gpointer goats, const gchar *verbname);
void unshade_all_cb(BonoboUIComponent *uic, gpointer goats, const gchar *verbname);
void show_preferences_cb(BonoboUIComponent *uic, gpointer goats, const gchar *verbname);
void show_about_cb(BonoboUIComponent *uic, gpointer goats, const gchar *verbname);
void show_help_cb(BonoboUIComponent *uic, gpointer goats, const gchar *verbname);
void goats_client_settings_changed_cb(GConfClient *client, 
				      guint id,
				      GConfEntry *entry, 
				      GoatsApplet *goats);
void goats_client_defaults_changed_cb(GConfClient *client, 
				      guint id,
				      GConfEntry *entry, 
				      GoatsApplet *goats);
void goats_client_herd_changed_cb(GConfClient *client, 
				  guint id,
				  GConfEntry *entry, 
				  GoatsApplet *goats);
